.progress-tracker{
  background: $black;
  min-height: 100px;
  padding:30px 20px;

.inner-wrapper {
    display: inline-block;
    box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.35);
    overflow: hidden;
    border-radius: 10px;
    counter-reset: flag;
    a {
      text-decoration: none;
      outline: none;
      display: block;
      float: left;
      font-size: 1rem;
      font-weight: bold;
      font-family: $Roboto-Regular;
      line-height: 50px;
      color: $white;
      padding: 0 10px 0 80px;
      background: $darkGray;
      background: linear-gradient($darkGray, $textGray);
      position: relative;
      &:first-child {
        padding-left: 60px;
        border-radius: 30px 0 0 30px;
        &:before {
          left: 14px;
        }
      }
      &:last-child {
        border-radius: 0 30px 30px 0;
        padding-right: 20px;
      }
      &.active, &:hover {
        background: $textGray;
        background: linear-gradient($textGray, $black);
      }
      &.active:after, &:hover:after {
        background: $textGray;
        background: linear-gradient(135deg, $textGray, $black);
      }
      &:after {
        content: '';
        position: absolute;
        top: 0;
        right: -25px;
        width: 50px;
        height: 50px;
        transform: scale(0.707) rotate(45deg);
        z-index: 1;
        background: $darkGray;
        background: linear-gradient(135deg, $darkGray, $textGray);
        box-shadow: 2px -2px 0 2px rgba(0, 0, 0, 0.4), 3px -3px 0 2px rgba(250, 250, 250, 0.1);
        border-radius: 0 10px 0 50px;
      }
      &:last-child:after {
        content: none;
      }
      &:before {
        content: counter(flag);
        counter-increment: flag;
        border-radius: 100%;
        width: 20px;
        height: 20px;
        line-height: 20px;
        margin: 15px;
        position: absolute;
        top: 0;
        left: 30px;
        background: #444;
        background: linear-gradient(#444, #222);
        font-weight: bold;
        text-align: center;
      }
    }
  }
  
  .flat a {
    background: $white;
    color: black;
    transition: all 0.5s;
    &:after {
      background: $white;
      color: black;
      transition: all 0.5s;
    }
    &:before {
      background: $white;
      box-shadow: 0 0 0 1px #ccc;
    }
    &.complete:before {
      background: $white;
      box-shadow: 0 0 0 1px $green;
    }
    &:hover, &.active, &:hover:after, &.active:after {
      background: $yellow;
    }
    &.complete,&.complete:after,&.complete:hover, &.complete.active, &.complete:hover:after, &.complete.active:after {
     color: $green;
    }
  }
}

@media only screen and (min-device-width : 768px) and (max-device-width : 991px) {
  .progress-tracker{
    .inner-wrapper a{
      padding: 0 10px 0 70px;
      font-size: 0.875rem;
    }
  }
}
@media only screen and (max-device-width : 767px){
  .progress-tracker{
    .inner-wrapper {
      border-radius: 0;
      width: 100%;
      a{
      float: none;
      padding-left: 60px;
      &:first-child,&:last-child{
        border-radius: 0;
      }
      &:before{
        left: 15px;
      }
    }
  }
  }

}